SubstructUtils.h File Reference
`#include "SubstructMatch.h"`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

double | RDKit::toPrime (const MatchVectType &v)
void | RDKit::removeDuplicates (std::vector< MatchVectType > &v, unsigned int nAtoms)
bool | RDKit::atomCompat (const ATOM_SPTR &a1, const ATOM_SPTR &a2, bool useQueryQueryMatches=false)
bool | RDKit::chiralAtomCompat (const ATOM_SPTR &a1, const ATOM_SPTR &a2)
bool | RDKit::bondCompat (const BOND_SPTR &b1, const BOND_SPTR &b2, bool useQueryQueryMatches=false)